stages:
  - build

build:
  image: golang:alpine
  stage: build
  services:
    - docker:dind
  before_script:
    - apk add git curl yarn
  # artifacts:
  #   paths:
  #     - dist/*
  only:
    changes:
      - "*.go"
      - "**/*.go"
      - .gitlab-ci.yml
  script:
    - go mod vendor
    # - ls -la
    - CGO_ENABLED=0 go build ./cmd/batch-expect/
    - chmod a+x batch-expect
    - tar -czf batch-expect.tar.gz batch-expect
    - 'curl --header "JOB-TOKEN: $CI_JOB_TOKEN" --upload-file batch-expect.tar.gz "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/generic/batch-expect/0.1.0/batch-expect.tar.gz"'

